Databases
Reset database password
Reset the password for a database. The operation is asynchronous - the database status will change to passwordChange during the process and transition back to ready once complete.
POST
/
databases
/
{id}
/
reset-password
Reset database password
curl --request POST \
--url https://api.sevalla.com/v3/databases/{id}/reset-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_password": "newSecurePassword123"
}
'import requests
url = "https://api.sevalla.com/v3/databases/{id}/reset-password"
payload = { "new_password": "newSecurePassword123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_password: 'newSecurePassword123'})
};
fetch('https://api.sevalla.com/v3/databases/{id}/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Database password reset started"
}{
"message": "Bad request",
"status": 400,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Unauthorized",
"status": 401,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Forbidden",
"status": 403,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Too many requests",
"status": 429,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Internal Server Error",
"status": 500,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Database identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Body
application/json
New password for the database user. Must be between 4 and 100 characters and contain only alphanumeric characters and special characters (_?<>#@-=+).
Required string length:
4 - 100Pattern:
^[a-zA-Z0-9_?<>#@\-=+]+$Example:
"newSecurePassword123"
Response
Default Response
Confirmation message
Example:
"Database password reset started"
Was this page helpful?
⌘I
Reset database password
